<#assign base=request.contextPath />
<#import "../common/defaultLayout.ftl" as defaultLayout>
<@defaultLayout.layout>

<div class="admin-content">
    <div class="admin-content-body">
        <div class="am-cf am-padding">
            <div class="am-fl am-cf"><strong class="am-text-primary am-text-lg">项目概算表</strong> / <small>${project.name}</small></div>
        </div>

<form method="post" class="am-form" id="pmsForm" action="${base}/project/budgetEditSave">
    <!--选项卡（tabs）begin-->
    <div class="am-tabs am-margin" data-am-tabs>
        <ul class="am-tabs-nav am-nav am-nav-tabs">
            <li class="am-active"><a href="#tab1">项目基本信息</a></li>
            <li><a href="#tab2">项目详细信息</a></li>
        </ul>
        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in am-active" id="tab1">
            <input name="id" id="id" type="hidden" value="${project.id}" />
                <!--验证表单元素（validate) begin-->

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>部门名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <span>${project.deptName}</span>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目计划开始时间</div>
                    <div class="am-u-sm-2 am-u-md-2">
                        <div class="am-form-group am-form-icon">
                            <i class="am-icon-calendar"></i>
                            <input type="text" class="am-form-field am-input-sm" id="startDate"
                                   name="startDate" autocomplete="off"
                                   value="${project.startDate}" placeholder="项目计划开始时间"
                                   data-am-datepicker>
                        </div>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目计划结束时间</div>
                    <div class="am-u-sm-2 am-u-md-2">
                        <div class="am-form-group am-form-icon">
                            <i class="am-icon-calendar"></i>
                            <input type="text" class="am-form-field am-input-sm" id="endDate"
                                   name="endDate" autocomplete="off"
                                   value="${project.endDate}" placeholder="项目计划结束时间"
                                   data-am-datepicker>
                        </div>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>



                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入项目名称（20字符以内）"
                               name="name" placeholder="请输入项目名称（20字符以内）" maxlength="20"
                               value="${project.name}" required readonly/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>项目类型</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="type" name="type" readonly="">
                            <option value="1" <#if project.type=1>selected</#if>>工程集成类</option>
                            <option value="2" <#if project.type=2>selected</#if>>设备集成类</option>
                            <option value="3" <#if project.type=3>selected</#if>>战略合作类</option>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>垫资模式</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <select data-am-selected id="underwrittenMode" name="underwrittenMode" readonly="">
                            <option value="1" <#if project.underwrittenMode=1>selected</#if>>A类-不垫资（战略合作）</option>
                            <option value="2" <#if project.underwrittenMode=2>selected</#if>>B类-不垫资（背靠背）</option>
                            <option value="3" <#if project.underwrittenMode=3>selected</#if>>C类-垫资（账期覆盖）</option>
                            <option value="4" <#if project.underwrittenMode=4>selected</#if>>D类-垫资（账期不覆盖）</option>
                        </select>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>客户名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入客户名称（20字符以内）"
                               name="customer" placeholder="请输入客户名称（20字符以内）" maxlength="20"
                               value="${project.customer}" required readonly/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>终端客户名称</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入终端客户名称（20字符以内）"
                               name="terminalCustomer" placeholder="请输入终端客户名称（20字符以内）" maxlength="20"
                               value="${project.terminalCustomer}" required readonly/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>垫资利息</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="number" class="am-input" data-validate-async data-validation-message="请输入垫资利息"
                               name="advanceInterestAmount" placeholder="单位（元）" maxlength="20"
                               value="${project.advanceInterestAmount}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>垫资峰值</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="number" class="am-input" data-validate-async data-validation-message="请输入垫资峰值"
                               name="advancePeakAmount" placeholder="单位（元）" maxlength="20"
                               value="${project.advancePeakAmount}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>合同金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="number" class="am-input" data-validate-async data-validation-message="请输入合同金额"
                               name="contractAmount" placeholder="单位（元）" maxlength="20"
                               value="${project.contractAmount}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>行业场景应用</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入行业场景应用"
                               name="industryScenario" placeholder="请输入行业场景应用" maxlength="20"
                               value="${project.industryScenario}" required readonly/>
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>华智产品金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="number" class="am-input" data-validate-async data-validation-message="华智产品金额"
                               name="huazhiProductAmount" placeholder="单位（元）" maxlength="20"
                               value="${project.huazhiProductAmount!}"  />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>紫光其他产品金额</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="number" class="am-input" data-validate-async data-validation-message="请输入紫光其他产品金额"
                               name="ziguangOtherAmount" placeholder="单位（元）" maxlength="20"
                               value="${project.ziguangOtherAmount!}" />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>
                <div class="am-g am-form-group am-margin-top">
                    <div class="am-u-sm-4 am-u-md-2 am-text-right"><span style="color: red;">*</span>主合同收款条款</div>
                    <div class="am-u-sm-6 am-u-md-6">
                        <input type="text" class="am-input" data-validate-async data-validation-message="请输入收款条款"
                               name="mainContractCollectionTerms" placeholder="请输入收款条款" maxlength="20"
                               value="${project.mainContractCollectionTerms}" required />
                    </div>
                    <div class="am-u-sm-2 am-u-md-4 input-msg"></div>
                </div>

            </div>
            <!--验证表单元素（validate end-->
        </div>
        <div class="am-tabs-bd">
            <div class="am-tab-panel am-fade am-in" id="tab2">
                <span class="am-text-lg">收入</span>
                <span class="am-text-primary"><a>收入明细表</a></span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用</td>
                        <td>含税金额（元）</td>
                        <td>不含税金额（元）</td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>设备类</td>
                        <td><input name="incomeDeviceTaxInclude" value="${budgetBean.incomeDeviceTaxInclude!}" required readonly></td>
                        <td><input name="incomeDeviceTaxExclude" value="${budgetBean.incomeDeviceTaxExclude!}" required readonly></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>工程类</td>
                        <td><input name="incomeEngineerTaxInclude" value="${budgetBean.incomeEngineerTaxInclude!}" required readonly></td>
                        <td><input name="incomeEngineerTaxExclude" value="${budgetBean.incomeEngineerTaxExclude!}" required readonly></td>
                    </tr>
                    <tr>
                        <td>收入</td>
                        <td>服务类</td>
                        <td><input name="incomeServiceTaxInclude" value="${budgetBean.incomeServiceTaxInclude!}" required readonly></td>
                        <td><input name="incomeServiceTaxExclude" value="${budgetBean.incomeServiceTaxExclude!}" required readonly></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td><input name="incomeTotalTaxInclude" value="${budgetBean.incomeTotalTaxInclude!}" readonly required></td>
                        <td><input name="incomeTotalTaxExclude" value="${budgetBean.incomeTotalTaxExclude!}" readonly required></td>
                    </tr>
                    </tbody>
                </table>
                <span class="am-text-lg">成本</span>
                <span class="am-text-primary"><a>采购成本明细表</a></span>
                <span class="am-text-primary"><a>项目管理成本表</a></span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用</td>
                        <td>费用项目</td>
                        <td>含税金额（元）</td>
                        <td>不含税金额（元）</td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>设备</td>
                        <td><input name="costPurchaseDeviceTaxInclude" value="${budgetBean.costPurchaseDeviceTaxInclude!}" readonly required></td>
                        <td><input name="costPurchaseDeviceTaxExclude" value="${budgetBean.costPurchaseDeviceTaxExclude!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>施工</td>
                        <td><input name="costPurchaseBuildTaxInclude" value="${budgetBean.costPurchaseBuildTaxInclude!}" readonly required></td>
                        <td><input name="costPurchaseBuildTaxExclude" value="${budgetBean.costPurchaseBuildTaxExclude!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>服务</td>
                        <td><input name="costPurchaseServiceTaxInclude" value="${budgetBean.costPurchaseServiceTaxInclude!}" readonly required></td>
                        <td><input name="costPurchaseServiceTaxExclude" value="${budgetBean.costPurchaseServiceTaxExclude!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>采购成本</td>
                        <td>其他</td>
                        <td><input name="costPurchaseOtherTaxInclude" value="${budgetBean.costPurchaseOtherTaxInclude!}" readonly required></td>
                        <td><input name="costPurchaseOtherTaxExclude" value="${budgetBean.costPurchaseOtherTaxExclude!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>项目管理成本</td>
                        <td>项目管理成本</td>
                        <td><input name="costProjectManageTaxInclude" value="${budgetBean.costProjectManageTaxInclude!}" readonly required></td>
                        <td><input name="costProjectManageTaxExclude" value="${budgetBean.costProjectManageTaxExclude!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>成本</td>
                        <td>其他</td>
                        <td>其他</td>
                        <td><input name="costOtherOtherTaxInclude" value="${budgetBean.costOtherOtherTaxInclude!}" readonly required></td>
                        <td><input name="costOtherOtherTaxExclude" value="${budgetBean.costOtherOtherTaxExclude!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>合计</td>
                        <td></td>
                        <td></td>
                        <td><input name="costTotalTaxInclude" value="${budgetBean.costTotalTaxInclude!}" readonly required></td>
                        <td><input name="costTotalTaxExclude" value="${budgetBean.costTotalTaxExclude!}" readonly required></td>
                    </tr>
                    </tbody>
                </table>
                <span class="am-text-lg">管理</span>
                <span class="am-text-primary"><a>资金计划表</a></span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>费用项目</td>
                        <td>不含税金额（元）</td>
                    </tr>
                    <tr>
                        <td>财务费用</td>
                        <td>资金占用成本</td>
                        <td><input name="costExpropriationTaxExclude" value="${budgetBean.costExpropriationTaxExclude!}" required readonly></td>
                    </tr>
                    <tr>
                        <td>公司管理费用</td>
                        <td></td>
                        <td><input name="costCompanyManageTaxExclude" value="${budgetBean.costCompanyManageTaxExclude!}" required readonly></td>
                    </tr>
                    </tbody>
                </table>

                <span class="am-text-lg">利润率计算</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>不含税金额（元）</td>
                        <td>利润率（%）</td>
                    </tr>
                    <tr>
                        <td>项目毛利</td>
                        <td><input name="projectGrossProfit" value="${budgetBean.projectGrossProfit!}" readonly required></td>
                        <td><input name="projectGrossProfitRate" value="${budgetBean.projectGrossProfitRate!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>项目贡献利润率</td>
                        <td><input name="projectContributionProfit" value="${budgetBean.projectContributionProfit!}" readonly required></td>
                        <td><input name="projectContributionProfitRate" value="${budgetBean.projectContributionProfitRate!}" readonly required></td>
                    </tr>
                    </tbody>
                </table>

                <span class="am-text-lg">现金流量表</span>
                <table class="am-table am-table-bordered am-table-radius table-main" style="padding:0;">
                    <tbody>
                    <tr class="am-text-xl">
                        <td>类别</td>
                        <td>金额（元）</td>
                    </tr>
                    <tr>
                        <td>销售商品、提供劳务收到的现金a</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>收到的税费返还b</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>收到其他与经营活动有关的现金c</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>购买商品、接受劳务支付的现d</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>支付的各项税费e</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>支付其他与经营活动有关的现金f</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>经营活动产生的现金流量净额g</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>投资活动现金流入h</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>投资活动现金流出i</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>投资活动产生的现金流量净额j</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>融资资金流入k</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>还款资金流出l</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>筹资活动产生的现金流量净额m</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    <tr>
                        <td>货币资金净增加额n</td>
                        <td><input name="" value="${budgetBean.a!}" readonly required></td>
                    </tr>
                    </tbody>
                </table>
            </div>
            <!--验证表单元素（validate end-->
        </div>
    </div>
    </div>
    <!--选项卡（tabs）end-->
    <div class="am-margin">
        <button type="button" class="am-btn am-btn-warning am-btn-xs" onclick="javascript:history.go(-1);">返回上一级</button>
        <button type="submit" class="am-btn am-btn-primary am-btn-xs" id="saveDraft">保存草稿</button>
        <button type="submit" class="am-btn am-btn-primary am-btn-xs" id="saveApprove">提交审核</button>
    </div>
</form>

</div>
</div>
<script src="${base}/assets/js/project_budget.js"></script>
<script>
    $(function () {
        $("#saveDraft").click(function () {
            $("#pmsForm").attr("action","${base}/project/budgetEditSave");
            $("#pmsForm").submit();
        });
        $("#saveApprove").click(function () {
            $("#pmsForm").attr("action","${base}/project/budgetEditSaveAndApprove");
            $("#pmsForm").submit();
        });
    });
</script>
</@defaultLayout.layout>















